AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 7.9This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Comma-separated list of data streams used to limit the request.
Wildcard expressions (*) are supported.
To target all data streams in a cluster, omit this parameter or use *.
Total number of backing indices for the selected data streams.
data_stream_countnumberrequired
Total number of selected data streams.
data_streamsobject[]required
Contains statistics for the selected data streams.
backing_indicesnumberrequired
Current number of backing indices for the data stream.
data_streamstringrequired
Name of the data stream.
maximum_timestampnumberrequired
The data stream’s highest @timestamp value, converted to milliseconds since the Unix epoch.
NOTE: This timestamp is provided as a best effort.
The data stream may contain @timestamp values higher than this if one or more of the following conditions are met:
The stream contains closed backing indices;
Backing indices with a lower generation contain higher @timestamp values.
store_sizenumber | string
Total size of all shards for the data stream’s backing indices.
This parameter is only returned if the human query parameter is true.
store_size_bytesnumberrequired
Total size, in bytes, of all shards for the data stream’s backing indices.
total_store_sizesnumber | string
Total size of all shards for the selected data streams.
This property is included only if the human query parameter is true
total_store_size_bytesnumberrequired
Total size, in bytes, of all shards for the selected data streams.